org.keycloak.common.util

## Enum KeystoreUtil.KeystoreFormat

- java.lang.Object
- - java.lang.Enum<KeystoreUtil.KeystoreFormat>
  - - org.keycloak.common.util.KeystoreUtil.KeystoreFormat

- All Implemented Interfaces:
    Serializable, Comparable<KeystoreUtil.KeystoreFormat>
  Enclosing class:
    KeystoreUtil

      public static enum KeystoreUtil.KeystoreFormat
      extends Enum<KeystoreUtil.KeystoreFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JKS`
    `PKCS12`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeystoreUtil.KeystoreFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KeystoreUtil.KeystoreFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JKS

          public static final KeystoreUtil.KeystoreFormat JKS

    - #### PKCS12

          public static final KeystoreUtil.KeystoreFormat PKCS12

  - ### Method Detail

    - #### values

          public static KeystoreUtil.KeystoreFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeystoreUtil.KeystoreFormat c : KeystoreUtil.KeystoreFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeystoreUtil.KeystoreFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.